- [HTTP request](https://docs.cloud.google.com/compute/docs/reference/rest/2026-09-01/projects/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/compute/docs/reference/rest/2026-09-01/projects/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/compute/docs/reference/rest/2026-09-01/projects/get#body.request_body)
- [Response body](https://docs.cloud.google.com/compute/docs/reference/rest/2026-09-01/projects/get#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/2026-09-01/projects/get#body.Project.SCHEMA_REPRESENTATION)
    - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/2026-09-01/projects/get#body.Project.SCHEMA_REPRESENTATION.common_instance_metadata.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/compute/docs/reference/rest/2026-09-01/projects/get#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/compute/docs/reference/rest/2026-09-01/projects/get#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/compute/docs/reference/rest/2026-09-01/projects/get#try-it)

API Version : 2026-09-01
Returns the specified Project resource.

To decrease latency for this method, you can optionally omit any unneeded information from the response by using a field mask. This practice is especially recommended for unused quota information (the `quotas` field). To exclude one or more fields, set your request's `fields` query parameter to only include the fields you need. For example, to only include the `id` and `selfLink` fields, add the query parameter `?fields=id,selfLink` to your request.

### HTTP request

Choose an endpoint:
global africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 asia-southeast3 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-southwest1 europe-west1 europe-west10 europe-west12 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central1 me-central2 me-west1 northamerica-northeast1 northamerica-northeast2 northamerica-south1 southamerica-east1 southamerica-west1 us-central1 us-east1 us-east4 us-east5 us-south1 us-west1 us-west2 us-west3 us-west4   
`GET https://compute.googleapis.com/compute/v1/projects/{project}?$apiVersion=2026-09-01`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `project` | `string` Project ID for this request. |

### Request body

The request body must be empty.

### Response body

Represents a Project resource.

A project is used to organize resources in a Google Cloud Platform environment. For more information, read about the [Resource Hierarchy](https://docs.cloud.google.com/resource-manager/docs/cloud-platform-resource-hierarchy#projects).

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "id": string, "creationTimestamp": string, "name": string, "description": string, "commonInstanceMetadata": { "kind": string, "fingerprint": string, "items": [ { "key": string, "value": string } ] }, "quotas": [ { "metric": enum, "limit": number, "usage": number, "owner": string } ], "usageExportLocation": { "bucketName": string, "reportNamePrefix": string }, "enabledFeatures": [ string ], "selfLink": string, "defaultServiceAccount": string, "xpnProjectStatus": enum, "defaultNetworkTier": enum, "vmDnsSetting": enum, "cloudArmorTier": enum } ``` |

| Fields ||
|---|---|
| `kind` | `string` Output only. Type of the resource. Always `compute#project` for projects. |
| `id` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The unique identifier for the resource. This identifier is defined by the server. This is **not** the project ID, and is just a unique ID used by Compute Engine to identify resources. |
| `creationTimestamp` | `string` Output only. Creation timestamp in [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text format. |
| `name` | `string` The project ID. For example: `my-example-project`. Use the project ID to make requests to Compute Engine. |
| `description` | `string` An optional textual description of the resource. |
| `commonInstanceMetadata` | `object` Metadata key/value pairs available to all instances contained in this project. See [Custom metadata](https://docs.cloud.google.com/compute/docs/metadata#projectwide) for more information. |
| `commonInstanceMetadata.kind` | `string` Output only. Type of the resource. Always `compute#metadata` for metadata. |
| `commonInstanceMetadata.fingerprint` | `string (https://developers.google.com/discovery/v1/type-format format)` Specifies a fingerprint for this request, which is essentially a hash of the metadata's contents and used for optimistic locking. The fingerprint is initially generated by Compute Engine and changes after every request to modify or update metadata. You must always provide an up-to-date fingerprint hash in order to update or change metadata, otherwise the request will fail with error `412 conditionNotMet`. To see the latest fingerprint, make a `get()` request to retrieve the resource. A base64-encoded string. |
| `commonInstanceMetadata.items[]` | `object` Array of key/value pairs. The total size of all keys and values must be less than 512 KB. |
| `commonInstanceMetadata.items[].key` | `string` Key for the metadata entry. Keys must conform to the following regexp: `[a-zA-Z0-9-_]+`, and be less than 128 bytes in length. This is reflected as part of a URL in the metadata server. Additionally, to avoid ambiguity, keys must not conflict with any other metadata keys for the project. |
| `commonInstanceMetadata.items[].value` | `string` Value for the metadata entry. These are free-form strings, and only have meaning as interpreted by the image running in the instance. The only restriction placed on values is that their size must be less than or equal to 262144 bytes (256 KiB). |
| `quotas[]` | `object` Output only. Quotas assigned to this project. |
| `quotas[].metric` | `enum` Output only. Name of the quota metric. |
| `quotas[].limit` | `number` Output only. Quota limit for this metric. |
| `quotas[].usage` | `number` Output only. Current usage of this metric. |
| `quotas[].owner` | `string` Output only. Owning resource. This is the resource on which this quota is applied. |
| `usageExportLocation` | `object` An optional naming prefix for daily usage reports and the Google Cloud Storage bucket where they are stored. |
| `usageExportLocation.bucketName` | `string` The name of an existing bucket in Cloud Storage where the usage report object is stored. The Google Service Account is granted write access to this bucket. This can either be the bucket name by itself, such as `example-bucket`, or the bucket name with `gs://` or `https://storage.googleapis.com/` in front of it, such as `gs://example-bucket`. |
| `usageExportLocation.reportNamePrefix` | `string` An optional prefix for the name of the usage report object stored in `bucketName`. If not supplied, defaults to `usage_gce`. The report is stored as a CSV file named `report_name_prefix_gce_YYYYMMDD.csv` where `YYYYMMDD` is the day of the usage according to Pacific Time. If you supply a prefix, it should conform to Cloud Storage [object naming conventions](https://docs.cloud.google.com/storage/docs/bucketnaming#objectnames). |
| `enabledFeatures[]` | `string` An optional list of restricted features enabled for use on this project. |
| `selfLink` | `string` Output only. Server-defined URL for the resource. |
| `defaultServiceAccount` | `string` Output only. Default service account used by VMs running in this project. |
| `xpnProjectStatus` | `enum` Output only. The role this project has in a shared VPC configuration. Currently, only projects with the host role, which is specified by the value `HOST`, are differentiated. |
| `defaultNetworkTier` | `enum` This signifies the default network tier used for configuring resources of the project and can only take the following values: `PREMIUM`, `STANDARD`. Initially the default network tier is `PREMIUM`. |
| `vmDnsSetting` | `enum` Output only. Default internal DNS setting used by VMs running in this project. |
| `cloudArmorTier` | `enum` Output only. The Cloud Armor tier for this project. It can be one of the following values: `CA_STANDARD`, `CA_ENTERPRISE_PAYGO`. If this field is not specified, it is assumed to be `CA_STANDARD`. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/compute.readonly`
- `
  https://www.googleapis.com/auth/compute`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

In addition to any permissions specified on the fields above, authorization requires one or more of the following [IAM](https://cloud.google.com/iam/docs/) permissions:

- `compute.projects.get`

To find predefined roles that contain those permissions, see [Compute Engine IAM Roles](https://docs.cloud.google.com/compute/docs/access/iam).